Subject: Re: bug report, error : Unable to find 000000000.....

From: James Ketrenos <[email-masked]>
Date: Thu, 01 Mar 2007 04:53:49 -0800

Junio C Hamano wrote:

> The repository is seriously broken.  If you try wget to see
> refs/tags/* files, you will find out that they are not even
> tags; they are symrefs and both point at the master branch.
> 
> I do not think the Porcelain-ish shipped with git creates symref
> in refs/tags/, so it was done by somebody playing with symbolic-ref
> by hand perhaps?
> 
> I'd suggest James to do delete these bogus refs/tags/* files and
> tag the correct commit with "git tag".

The above does explain the breakage.  The script that created snapshot 
tarballs for ipwraw was written was copying .git/HEAD to the tag name in 
.git/refs/tags... at some point .git/HEAD changed from being an actual 
symlink to master to being a normal file containing 'ref: refs/heads/master'

I believe I have fixed it now.

Thanks,
James